---
layout: page
title: Informationen
permalink: /informationen/
ref: infos
lang: de
---

## Inhalte {#toc}

<!-- NOTE this is (currently?) just a manually maintained list. -->
- [Was ist JLU GitLab?](#what_is_jlugitlab)
- [Anwendungsmöglichkeiten](#use_cases)
- [Keine Speicherung von Forschungsdaten](#research_data)
- [Wer kann JLU GitLab benutzen?](#potential_users)
- [Wie kann ich JLU GitLab benutzen?](#how_to_use)
- [Auflösung des Nutzungskontos](#deletion_account)
    - [Was passiert wenn ich die JLU verlasse?](#leaving_JLU)
    - [Was passiert wenn meine g- oder s-Kennung ungültig wird?](#deletion_account_invalid)
    - [Was passiert mit meinen Daten wenn mein Konto gelöscht wird?](#deletion_userdata)
        - [Löschen verwaister Gruppen und deren Projekte](#deletion_groups)
        - [Genauere Details](#deletion_details)
- [Wer betreibt JLU GitLab?](#maintainers)
- [Die Ziele von JLU GitLab](#our_goals)
- [Zukunftspläne](#future_plans)
- [Kontaktinformationen](#contact)


## Was ist JLU GitLab? {#what_is_jlugitlab}

JLU GitLab ist eine [GitLab-Webanwendung](https://de.wikipedia.org/wiki/GitLab){:target="_blank"}.
GitLab ist ein vielseitiges Werkzeug für die Verwaltung von Projekten, die das Bearbeiten von Dateien involvieren.
Kern jedes GitLab-Projekts ist ein [Git-Repository](https://de.wikipedia.org/wiki/Git){:target="_blank"}, mit dem der Bearbeitungsstand versioniert werden kann.
GitLab bietet für jedes Projekt zusätzlich ein Wiki, ein Ticketsystem, und vieles mehr.

JLU GitLab ist per Browser unter [https://gitlab.test.uni-giessen.de](https://gitlab.test.uni-giessen.de){:target="_blank"} erreichbar und läuft im [Hochschulrechenzentrum der Justus-Liebig-Universität (JLU) Gießen](https://www.uni-giessen.de/fbz/svc/hrz){:target="_blank"}.
Die eingesetzte GitLab Community Edition ist als freie Software lizensiert, sodass JLU GitLab technisch und juristisch von [GitLab.com](https://gitlab.com){:target="_blank"} unabhängig ist.

JLU GitLab wird von einem [Team freiwilliger Mitarbeitenden](#maintainers) betrieben.

## Anwendungsmöglichkeiten {#use_cases}

* In [Good enough practices in scientific computing von G. Wilseon et. al. (2017)](http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1005510){:target="_blank"}
    wird die Motivation und die Verwendung von Versionierungswerkzeugen für z.B. wissenschaftlichen Programmcode beschrieben.
* TODO: Weitere hinzufügen: Laborverwaltung, Schreiben und Publizieren, ...

## Keine Speicherung von Forschungsdaten {#research_data}

JLU GitLab ist derzeit nicht für die Speicherung von Forschungsdaten vorgesehen.
Es wird hiervon ausdrücklich abgeraten.

Für die Speicherung von Forschungsdaten stehen an der JLU die [JLUbox](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/jlubox){:target="_blank"} sowie [Netzlaufwerke](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/san/index_html){:target="_blank"} zur Verfügung.
Bei Fragen des Forschungsdatenmanagements hilft Ihnen [dieser FAQ](https://www.uni-giessen.de/ub/digitales-publizieren/fdm/faq/){:target="_blank"} weiter oder wenden Sie sich per E-Mail an [forschungsdaten@uni-giessen.de](mailto:forschungsdaten@uni-giessen.de).

## Wer kann JLU GitLab benutzen? {#potential_users}

Derzeit niemand; es muss erst eine [Benutzungsordnung]({{ '/benutzungsordnung/' | relative_url }}) geschrieben werden.

Sobald dies geschehen ist, können alle Studierenden und Mitarbeitenden mit einer gültigen s- oder g-Kennung ein Nutzungskonto eröffnen, sofern sie die Benutzungsordnung akzeptieren.
Dies bedeutet, dass sich Sichtbarkeitsstufe *internal* von [Projekten]({{ '/hilfe/#project_visibility' | relative_url }}) und [Nutzergruppen]({{ '/hilfe/#group_visibility' | relative_url }}) auf diese Personengruppe bezieht.

Bitte beachten Sie, dass JLU GitLab derzeit nur innerhalb des Universitätsnetzes erreichbar ist.
Dies bedeutet, dass sich Sichtbarkeitsstufe *public* von [Projekten]({{ '/hilfe/#project_visibility' | relative_url }}) und [Nutzergruppen]({{ '/hilfe/#group_visibility' | relative_url }}) auf alle bezieht, die Zugriff auf das Universitätznetz haben.
Von außerhalb ist der Zugriff über das [VPN der Universität](https://www.uni-giessen.de/fbz/svc/hrz/svc/netz/campus/vpn){:target="_blank"} möglich.


## Wie kann ich JLU GitLab benutzen? {#how_to_use}

Information zur konkreten Benutzung von JLU GitLab finden Sie auf [Hilfe zur Benutzung]({{ '/hilfe/' | relative_url }}).

## Auflösung des Nutzungskontos {#deletion_account}

Nutzungskontos von JLU GitLab können auf verschiedene Weisen aufgelöst werden:

- Nutzende können jederzeit freiwillig ihr Nutzungskonto löschen.
  Falls Sie ihr Nutzungskonto löschen möchten, folgen Sie bitte [diesen Schritten]({{ '/hilfe/#deletion_account' | relative_url }}).
  Sie können auch noch ein paar [letzte Schritte]({{ '/hilfe/#last_steps' | relative_url }}) bedenken, bevor Sie ihr Konto löschen.
- Das Konto wird nach einer Frist von 6 Monaten gelöscht nachdem ihre [g- oder s-Kennung ungültig geworden ist](#deletion_account_invalid), was meist dann passiert wenn Sie die [Universität verlassen](#leaving_JLU).
- Die [Betreibenden](#maintainers) können ein Nutzungskonto löschen, wenn dessen Aktivitäten die [Benutzungsordnung]({{ '/benutzungsordnung/' | relative_url }}) verletzt.

Unten finden Sie eine [Übersicht welche Daten mitgelöscht werden](#deletion_userdata), wenn ihr Konto gelöscht wird.

### Was passiert wenn ich die JLU verlasse? {#leaving_JLU}

Wenn Sie die Universität verlassen (z.B. Vertragsende, Exmatrikulation), wird innerhalb weniger Wochen Ihre [g- oder s-Kennung ungültig](#deletion_account_invalid), sofern Sie nicht das [HRZ](https://www.uni-giessen.de/fbz/svc/hrz){:target="_blank"} kontaktieren um sie zu behalten.

### Was passiert wenn meine g- oder s-Kennung ungültig wird? {#deletion_account_invalid}

Wenn Ihre g- or s-Kennung ungültig wird, wird Ihr Nutzungskonto auf JLU GitLab automatisch innerhalb von 24 Stunden blockiert.
Wenn Ihr Konto blockiert ist, können Sie sich nicht mehr in JLU GitLab einloggen.
Nachdem Ihr Konto 6 Monate lang blockiert war, wird es gelöscht, siehe unten.

### Was passiert mit meinen Daten wenn mein Konto gelöscht wird? {#deletion_userdata}

Wieviele Ihrer Daten gelöscht werden hängt davon ab, wie Sie JLU GitLab genutzt haben, bevor Ihr Nutzungskonto gelöscht wird.
Grob gesagt werden Ihr Konto und alle Ihre eigenen Projekte gelöscht.
Allerdings werden Daten, die Sie in Projekten von anderen Personen oder ([nicht verwaister](#deletion_groups)) Gruppen beigetragen haben nicht gelöscht werden - aber soweit möglich anonymisiert.
Weiter unten finden Sie [genauere Details](#deletion_details).

#### Löschen verwaister Gruppen und deren Projekte {#deletion_groups}

Falls Sie zum Zeitpunkt des Löschens die einzige Person mit *Owner*-Rolle einer Gruppe sind, werden die verbleibenden Mitglieder mit der nächsthöchsten [Gruppen-Rolle](#group_roles) in als *Owner* heraufgestuft und darüber benachrichtigt.
Falls keine weiteren Gruppenmitglieder existieren, wird die Gruppe als verwaist angesehen und mitsamt allen zugeordneten Projekte auch gelöscht.

#### Genauere Details {#deletion_details}

Um mehr Details zu erläutern, bedient sich die folgende Erklärung einiger [wichtiger Konzepte von Git und GitLab]({{ '/hilfe/#essential_terms' | relative_url }}).

Wenn Ihr Nutzungskonto gelöscht wird, werden auch alle Daten aus Ihrem Profil gelöscht, sowie alle eigenen Projekte in Ihrem *Namensraum*.
Beachten Sie, dass diese Projekte bedingungslos gelöscht werden, auch wenn sie weitere Projektmitglieder haben.
Sie können einige [letzte Schritte]({{ '/hilfe/#last_steps' | relative_url }}) unternehmen, um mögliche Störungen zu vermeiden.

Daten, die Sie in anderen Projekten beigetragen haben (in anderen Namensräumen anderer Nutzenden oder Gruppen), werden nicht gelöscht ([es sei denn, eine Gruppe verwaist](#deletion_groups)).
Stattdessen werden Ihre Beiträge anonymisiert, soweit dies technisch möglich und für die restlichen Mitglieder zumutbar ist.
Dies verhindert Störungen der verbleibenden Mitglieder, deren Arbeit auf Ihren Beiträgen aufbaut.
Zum Beispiel bleibt der Inhalt Ihrer Kommentare in Ticketsystemen anderer Projekte lesbar, bloß ohne Verbindung zu ihrem gelöschten Nutzungskonto.
Stattdessen werden Ihre Kommentare scheinbar von einem *Ghost*-Konto stammen, einem Platzhalter-Konto für die Verwaltung solcher anonymen Daten.

Eine wichtige Ausnahme sind Ihre Git-*Commits* in den *Repositorien* anderer Projekte: Diese werden weder gelöscht noch anonymisiert.
Stattdessen werden alle Informationen genauso bleiben wie sie beim Anlegen des Commits vorlagen; sie können nicht geändert oder gelöscht werden, ohne Störungen für die übrigen Mitglieder zu erzeugen.
Beachten Sie auch, dass ihre Commit-Daten wahrscheinlich nicht nur auf JLU GitLab gespeichert sind, sondern auf den Geräten anderer Mitglieder, da die Git-Kommandos *push* und *pull* das gesamte Repository zwischen Geräten synchronisieren können.
JLU GitLab wird nicht (noch kann es) Daten von Endgeräten anderer Nutzender löschen.
Hierbei ist wichtig, dass die Commits ihren tatsächlichen Namen und E-Mail-Adresse enthalten können, je nach den Einstellungen des eigenen Endgeräts und in JLU GitLab.
Sie können über [Einstellmöglickeiten bezüglich privater Informationen]({{ '/hilfe/#settings_privacy' | relative_url }}).


## Wer betreibt JLU GitLab? {#maintainers}

Wir sind ein Team von JLU-Mitarbeitenden die freiwillig an JLU GitLab arbeiten.
Wir arbeiten in Rücksprache mit der [JLU-internen IKM-AG](https://www.uni-giessen.de/org/cio/cio/ikm-ag){:target="_blank"} und wir nutzen für den Betrieb ausschließlich Infrastruktur des Hochschulrechenzentrums.

Wir sind immer auf der Suche nach weiteren Freiwilligen die uns unterstützen wollen.
Bitte kontaktieren Sie uns, falls Sie mehr über unsere Arbeitsweise und Entscheidungsfindung wissen möchten.

Wir sind auf verschiedene Weisen erreichbar, siehe [Kontaktinformation](#contact).


## Die Ziele von JLU GitLab {#our_goals}

JLU GitLab dient zunächst der Bedarfserfassung innerhalb der JLU und der Evaluation der Funktionalitäten im Forschungskontext.
Wir glauben, dass Git und GitLab die besten zeitgemäßen Werkzeuge sind, um die Software und Dokumentation unserer Forschungsprojekte zu verwalten.
Nur eine lokal installiertes, frei lizensiertes Werkzeug wie GitLab genügt dem Anspruch, die volle Kontrolle über dessen Implementation und Administration langfristig zu wahren.
<!-- NOTE: Löschen, oder zu FDM hinzugefügen und klären?
In diesem Zusammenhang scheint erwähnenswert, dass die Dokumentation und Software, die zum Verständnis von Forschungsdaten notwendig ist, laut der [Forschungsdaten-Leitlinie der JLU](https://www.uni-giessen.de/mug/5/pdf/forschung/5_00_00_1) selbst als Forschungsdaten gelten.
-->

## Zukunftspläne {#future_plans}

Nachdem JLU GitLab universitätsintern nutzbar ist, haben wir weitere Pläne um es noch nützlicher zu machen.
Wir würden gerne...

- ...den Zugang zu JLU GitLab direkt aus dem Internet ermöglichen, ohne VPN
- ...Benutzungskonten auch für Menschen von außerhalb der JLU ermöglichen
- ...der Möglichkeit nachgehen wie Inhalte per [GitLab Pages](https://docs.gitlab.com/ce/user/project/pages/){:target="_blank"} publiziert werden können
- ...die Verwendung von [Git Large File Storage (LFS)](https://docs.gitlab.com/ce/workflow/lfs/manage_large_binaries_with_git_lfs.html){:target="_blank"} erörtern


## Kontakt {#contact}

Für Anfragen nach Hilfe und Unterstützung schreiben Sie bitte eine Email an die Mailingliste für Hilfe, [gitlab-help@lists.uni-giessen.de](mailto:gitlab-help@lists.uni-giessen.de).

Für alles Weitere kontaktieren Sie das [Team der Betreibenden](#maintainers) unter unserer internen Mailingliste, [gitlab-admin@lists.uni-giessen.de](mailto:gitlab-admin@lists.uni-giessen.de).

Falls Sie Neuigkeiten über diesen Pilotbetrieb erfahren möchten, können sie die Mailingliste [gitlab-news@lists.uni-giessen.de](mailto:gitlab-news@lists.uni-giessen.de) oder den [RSS feed]({{ '/de_feed.xml' | relative_url }}) abbonieren.
Außerdem können Sie die [Protokolle der IKM-AG](https://www.uni-giessen.de/org/cio/cio/ikm-ag){:target="_blank"} verfolgen (nur intern verfügbar).

